Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Picture Class Reference

ピクチャ More...

`#include <Picture.h>`

Inheritance diagram for Lamp::Picture:

List of all members.

## Public Member Functions
virtual int | getReferenceCount () const
| リファレンスカウントの取得
virtual Picture * | copy () const=0
| コピー
virtual void | stateChanged ()
| ステート変更フラグを立てる
virtual int | getParentCount () const
| 親のサイズ取得
virtual Texture * | getParent (int index) const
| 親の取得
virtual void | setPath (const String &path)
| パスの設定
virtual const String & | getPath () const
| パスの取得
virtual void | setSize (const DimensionI &size)
| サイズの設定
virtual const DimensionI & | getSize () const
| サイズの取得
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
virtual bool | isPicture () const
| ピクチャかどうか
virtual bool | isPictureRGB8 () const
| RGB8ビットピクチャかどうか.
virtual PictureRGB8 * | castPictureRGB8 () const
| RGB8ビットピクチャへのキャスト.
virtual bool | isPictureRGBA8 () const
| RGBA8ビットピクチャかどうか.
virtual PictureRGBA8 * | castPictureRGBA8 () const
| RGBA8ビットピクチャへのキャスト.
## Static Public Member Functions
int | destroy (Picture *picture)
| 破棄
## Protected Member Functions
| Picture (const String &name, Scene *scene)
| コンストラクタ
virtual | ~Picture ()
| デストラクタ
virtual void | copyPictureValue (Picture *destination) const
| ピクチャの値コピー
virtual int | addReference (Texture *parent)
| 参照の追加
virtual int | removeReference (Texture *parent)
| 参照の削除
virtual Direct3DTexture * | getD3DTexture ()=0
| D3Dテクスチャの取得.
## Friends
class | SceneObjectManagerTemplate< Picture >
class | PictureManager
class | Texture
class | SurfaceTexture

## Detailed Description

ピクチャ

Definition at line 42 of file Picture.h.

## Constructor & Destructor Documentation

Lamp::Picture::Picture | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 35 of file Picture.cpp.

## Member Function Documentation

virtual int Lamp::Picture::addReference | ( | Texture * | parent | ) | `[inline, protected, virtual]`

  | 参照の追加 Parameters:
  parent | 親
Returns: 参照カウント Definition at line 214 of file Picture.h. References Lamp::ArrayList< Texture * >::add(), and getParentCount(). Referenced by Lamp::Texture::addPictureReference().

virtual PictureRGB8* Lamp::Picture::castPictureRGB8 | ( |  | ) | const`[inline, virtual]`

| RGB8ビットピクチャへのキャスト. Returns: RGB8ビットピクチャ。型が違えばNULLを返す。 Definition at line 168 of file Picture.h. References isPictureRGB8(), and NULL. Referenced by Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

virtual PictureRGBA8* Lamp::Picture::castPictureRGBA8 | ( |  | ) | const`[inline, virtual]`

| RGBA8ビットピクチャへのキャスト. Returns: RGBA8ビットピクチャ。型が違えばNULLを返す。 Definition at line 184 of file Picture.h. References isPictureRGBA8(), and NULL. Referenced by Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

virtual Picture* Lamp::Picture::copy | ( |  | ) | const`[pure virtual]`

| コピー Returns: コピーされたピクチャ Implemented in Lamp::PictureRGB8, and Lamp::PictureRGBA8.

void Lamp::Picture::copyPictureValue | ( | Picture * | destination | ) | const`[protected, virtual]`

  | ピクチャの値コピー Parameters:
  destination | コピー先ピクチャ
Definition at line 53 of file Picture.cpp. References setPath(), and setSize(). Referenced by Lamp::PictureRGB8::copyPictureRGB8(), and Lamp::PictureRGBA8::copyPictureRGBA8().

int Lamp::Picture::destroy | ( | Picture * | picture | ) | `[static]`

  | 破棄 Parameters:
  picture | 破棄するピクチャ
Returns: 破棄したオブジェクト数 Definition at line 59 of file Picture.cpp. References Assert, Lamp::SceneObjectManagerTemplate< Picture >::destroy(), Lamp::Scene::getPictureManager(), Lamp::SceneObject::getScene(), and NULL.

virtual Direct3DTexture* Lamp::Picture::getD3DTexture | ( |  | ) | `[protected, pure virtual]`

| D3Dテクスチャの取得. Returns: D3Dテクスチャの取得 Implemented in Lamp::PictureRGB8, and Lamp::PictureRGBA8. Referenced by Lamp::SurfaceTexture::getD3DTexture().

virtual Texture* Lamp::Picture::getParent | ( | int | index | ) | const`[inline, virtual]`

  | 親の取得 Parameters:
  index | 親のインデックス
Returns: 親 Definition at line 87 of file Picture.h. References Assert, Lamp::ArrayList< Texture * >::get(), and getParentCount(). Referenced by stateChanged().

virtual int Lamp::Picture::getParentCount | ( |  | ) | const`[inline, virtual]`

| 親のサイズ取得 Returns: 親のサイズ Definition at line 80 of file Picture.h. References Lamp::ArrayList< Texture * >::getCount(). Referenced by addReference(), getParent(), removeReference(), and stateChanged().

virtual const String& Lamp::Picture::getPath | ( |  | ) | const`[inline, virtual]`

| パスの取得 Returns: パス Definition at line 107 of file Picture.h. Referenced by Lamp::ChangePicturePathFilter::filterPicture(), Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

virtual int Lamp::Picture::getReferenceCount | ( |  | ) | const`[inline, virtual]`

| リファレンスカウントの取得 Returns: リファレンスカウント Implements Lamp::SceneObject. Definition at line 53 of file Picture.h. References Lamp::ArrayList< Texture * >::getCount(). Referenced by Lamp::SceneLogicCheckFilter::filterPicture().

virtual const DimensionI& Lamp::Picture::getSize | ( |  | ) | const`[inline, virtual]`

| サイズの取得 Returns: サイズ Definition at line 123 of file Picture.h. Referenced by Lamp::PictureRGBA8::compile(), Lamp::PictureRGB8::compile(), Lamp::SceneLogicCheckFilter::filterPicture(), Lamp::PictureRGBA8::setImage(), Lamp::PictureRGB8::setImage(), Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

virtual bool Lamp::Picture::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Reimplemented in Lamp::PictureRGB8, and Lamp::PictureRGBA8. Definition at line 130 of file Picture.h. Referenced by Lamp::PictureManager::initializeGraphicsDeviceObjects().

virtual bool Lamp::Picture::isPicture | ( |  | ) | const`[inline, virtual]`

| ピクチャかどうか Returns: ピクチャならtrue Reimplemented from Lamp::SceneObject. Definition at line 155 of file Picture.h.

virtual bool Lamp::Picture::isPictureRGB8 | ( |  | ) | const`[inline, virtual]`

| RGB8ビットピクチャかどうか. Returns: RGB8ビットピクチャならtrue Reimplemented in Lamp::PictureRGB8. Definition at line 162 of file Picture.h. Referenced by castPictureRGB8(), Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

virtual bool Lamp::Picture::isPictureRGBA8 | ( |  | ) | const`[inline, virtual]`

| RGBA8ビットピクチャかどうか. Returns: RGBA8ビットピクチャならtrue Reimplemented in Lamp::PictureRGBA8. Definition at line 178 of file Picture.h. Referenced by castPictureRGBA8(), Lamp::TextSceneSaver::writePicture(), and Lamp::BinarySceneSaver::writePicture().

virtual int Lamp::Picture::removeReference | ( | Texture * | parent | ) | `[inline, protected, virtual]`

  | 参照の削除 Parameters:
  parent | 親
Returns: 参照カウント Definition at line 224 of file Picture.h. References getParentCount(), and Lamp::ArrayList< Texture * >::removeByValue(). Referenced by Lamp::Texture::removePictureReference().

virtual bool Lamp::Picture::restoreGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 141 of file Picture.h. Referenced by Lamp::PictureManager::restoreGraphicsDeviceObjects().

virtual void Lamp::Picture::setPath | ( | const String & | path | ) | `[inline, virtual]`

  | パスの設定 Parameters:
  path | パス
Definition at line 98 of file Picture.h. References stateChanged(). Referenced by copyPictureValue(), Lamp::ChangePicturePathFilter::filterPicture(), Lamp::TextSceneLoader::readPictureList(), and Lamp::BinarySceneLoader::readPictureList().

virtual void Lamp::Picture::setSize | ( | const DimensionI & | size | ) | `[inline, virtual]`

  | サイズの設定 Parameters:
  size | サイズ
Reimplemented in Lamp::PictureRGB8, and Lamp::PictureRGBA8. Definition at line 114 of file Picture.h. References stateChanged(). Referenced by copyPictureValue().

The documentation for this class was generated from the following files:

- Picture.h
- Picture.cpp